import { defineStore, acceptHMRUpdate } from 'pinia'

export const useSettingStore = defineStore('setting', {
  state: () => ({
    theme: 'light',
    language: 'en-US',
    leftDrawerOpen: false,
    rightDrawerOpen: false,
  }),
  getters: {
    isDarkTheme: (state) => state.theme === 'dark',
  },
  actions: {
    setTheme(theme: string) {
      this.theme = theme
    },
    setLanguage(language: string) {
      this.language = language
    },
    toggleLeftDrawer() {
      this.leftDrawerOpen = !this.leftDrawerOpen
    },
    toggleRightDrawer() {
      this.rightDrawerOpen = !this.rightDrawerOpen
    },
  },
})

if (import.meta.hot) {
  import.meta.hot.accept(acceptHMRUpdate(useSettingStore, import.meta.hot))
}
